Projects
Create, update, list, and delete projects.
|
Endpoints
| GET | /api/v1/project/projects | List projects |
| POST | /api/v1/project/projects | Create a project |
| GET | /api/v1/project/projects/{id} | Get a project |
| PATCH | /api/v1/project/projects/{id} | Update a project |
| DELETE | /api/v1/project/projects/{id} | Delete a project |
GET
/api/v1/project/projectsList projects
Authentication required— Include session cookie or Bearer token
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
status | string | Optional | Filter by status (active / archived) |
limit | integer | Optional | Number of items to return (default: 50, max: 200) |
offset | integer | Optional | Number of items to skip |
Code Examples
curl "https://api.blueai.jp/api/v1/project/projects" \
-H "Cookie: better-auth.session_token=<token>"POST
/api/v1/project/projectsCreate a project
Authentication required— Include session cookie or Bearer token
Code Examples
curl -X POST "https://api.blueai.jp/api/v1/project/projects" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/project/projects/{id}Get a project
Retrieve project details including tasks, groups, and links.
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
Code Examples
curl "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"PATCH
/api/v1/project/projects/{id}Update a project
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
Code Examples
curl -X PATCH "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/project/projects/{id}Delete a project
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
Code Examples
curl -X DELETE "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"